#!/bin/bash

fn=$2

title(){
    cat $fn | awk '{if (substr($0,1,7)=="TITLE: ") printf("%s\n",substr($0,8));}'
}

label(){
    cat $fn | head -11 | tail -n10 | awk '{if (substr($0,1,7)=="LABEL: ") printf("%s\n",substr($0,8));}'
}

class(){
    cat $fn | awk '{if (substr($0,1,7)=="CLASS: ") printf("%s\n",substr($0,8));}'
}


case $1 in
  rename)
  
  newname="`class`-`title|tr \" \" \"_\" `.img"    
  echo $newname
  mv $2 $newname
    
    ;;
  title)
    title
    ;;
  label)
    label     
    ;;
  index)
    echo    
    echo "PATH: `pwd`"
    echo "DATE: `date`"
    echo
    echo "******************************************"
    for name in *.img; do
	fn=$name
        echo -n " NAME:"
	echo "   "`title`
	
	echo  "LABEL:"
	(IFS="
	"
	for line in `label` 
	do
	echo "         "$line
	done)
	echo
	echo -n " TYPE: "
	echo "  "`class`
	echo
	echo "******************************************"
	echo
    done
    ;;
    *)
    echo "Usage: extract <action> <filename>"
    echo "Actions:"
    echo "rename - auto-rename the file"
    echo "to be continued...."
     
    
    
    ;; esac
    